Again, AFAIK this is not radiant's dependencies. Can you provide a list of all the gems you have installed?

$ gem list

Sean

K H wrote:
Thanks Sean,

I though Radiant uses mechanize because I started out with a empty gems folder. When I did "gem install radiant" rspec and rspec-rails were installed along with radiant. At this point I have only 3 gems. And if I now do "gem update" then many gems start to get downloaded, only to get stuck with mechanize. So I guess either rspec or rspec-rails is the culprit?

Ken


Message: 4
Date: Sat, 07 Mar 2009 12:44:30 -0500
From: Sean Cribbs <seancri...@gmail.com>
Subject: Re: [Radiant] Does Radiant use "mechanize" gem?
To: radiant@radiantcms.org
Message-ID: <49b2b27e.8010...@gmail.com>
Content-Type: text/plain; charset=UTF-8; format=flowed

Ken,

No, Radiant does not require mechanize, but you might have something
installed that requires it?

Sean

K H wrote:
Hi.

I have Radiant site on Dream Host and have local gem installation.
When I do "gem update" it seems the mechanize gem is downloaded
because Radiant requires it? The problem is the mechanize gem never
successfully installs. I get the error message pasted below, and when
I contacted DH support, they said they can't make libxslt available,
that I would have to compile the mechanize gem for linux machine and
upload it myself. But I do not have access to linux machine. Is there
a way to get around / prevent the mechanize gem from getting stuck?
Thanks.

Ken

-error message-

[wolverine]$ gem update
Updating installed gems
Updating mechanize
Building native extensions.  This could take a while...
ERROR:  While executing gem ... (Gem::Installer::ExtensionBuildError)
   ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb update
checking for libxml/parser.h in
/opt/local/include/,/opt/local/include/libxml2,/usr/include/libxml2,/usr/include,/usr/local/include/libxml2,/usr/include/libxml2...
yes
checking for libxslt/xslt.h in
/opt/local/include/,/opt/local/include/libxml2,/usr/include/libxml2,/usr/include,/usr/local/include/libxml2,/usr/include/libxml2...
no
libxslt is missing. try 'port install libxslt' or 'yum install libxslt'
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.  Check the mkmf.log file for more
details.  You may need configuration options.

Provided configuration options:
   --with-opt-dir
   --without-opt-dir
   --with-opt-include
   --without-opt-include=${opt-dir}/include
   --with-opt-lib
   --without-opt-lib=${opt-dir}/lib
   --with-make-prog
   --without-make-prog
   --srcdir=.
   --curdir
   --ruby=/usr/bin/ruby1.8
   --with-xml2-dir
   --without-xml2-dir
   --with-xml2-include
   --without-xml2-include=${xml2-dir}/include
   --with-xml2-lib
   --without-xml2-lib=${xml2-dir}/lib
   --with-xslt-dir
   --without-xslt-dir
   --with-xslt-include
   --without-xslt-include=${xslt-dir}/include
   --with-xslt-lib
   --without-xslt-lib=${xslt-dir}/lib


Gem files will remain installed in
/home/kenhan/.gems/gems/nokogiri-1.2.1 for inspection.
Results logged to
/home/kenhan/.gems/gems/nokogiri-1.2.1/ext/nokogiri/gem_make.out

_______________________________________________
Radiant mailing list
Post:   Radiant@radiantcms.org
Search: http://radiantcms.org/mailing-list/search/
Site:   http://lists.radiantcms.org/mailman/listinfo/radiant

_______________________________________________
Radiant mailing list
Post:   Radiant@radiantcms.org
Search: http://radiantcms.org/mailing-list/search/
Site:   http://lists.radiantcms.org/mailman/listinfo/radiant


_______________________________________________
Radiant mailing list
Post:   Radiant@radiantcms.org
Search: http://radiantcms.org/mailing-list/search/
Site:   http://lists.radiantcms.org/mailman/listinfo/radiant

Reply via email to